import { ElementRef } from '@angular/core';
import { IgxTabsGroupComponent } from './tabs-group.component';
import { IgxTabItemBase, IgxTabsBase } from './tabs.common';
export declare class IgxTabItemComponent implements IgxTabItemBase {
    private _tabs;
    private _element;
    /**
    * Gets the group associated with the tab.
    * ```html
    * const relatedGroup = this.tabbar.tabs.toArray()[1].relatedGroup;
    * ```
    */
    relatedGroup: IgxTabsGroupComponent;
    private _nativeTabItem;
    private _changesCount;
    constructor(_tabs: IgxTabsBase, _element: ElementRef);
    /**
     * @hidden
     */
    role: string;
    /**
     * @hidden
     */
    tabindex: any;
    /**
     * @hidden
     */
    onClick(event: any): void;
    /**
     * @hidden
     */
    onResize(event: any): void;
    /**
     * @hidden
     */
    onKeydownArrowRight(event: KeyboardEvent): void;
    /**
     * @hidden
     */
    onKeydownArrowLeft(event: KeyboardEvent): void;
    /**
     * @hidden
     */
    onKeydownHome(event: KeyboardEvent): void;
    /**
     * @hidden
     */
    onKeydownEnd(event: KeyboardEvent): void;
    /**
     * @hidden
     */
    readonly changesCount: number;
    /**
     * @hidden
     */
    readonly nativeTabItem: ElementRef;
    /**
    * 	Gets whether the tab is disabled.
    * ```
    * const disabledItem = this.myTabComponent.tabs.first.disabled;
    * ```
    */
    readonly disabled: boolean;
    /**
     * Gets whether the tab is selected.
     * ```typescript
     * const selectedItem = this.myTabComponent.tabs.first.isSelected;
     * ```
     */
    readonly isSelected: boolean;
    /**
     * @hidden
     */
    readonly index: number;
    /**
     * @hidden
     */
    select(focusDelay?: number): void;
    private onKeyDown;
}
